<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/Medical/ActionBiteVitaminBottle.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d56/_action_bite_vitamin_bottle_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionBiteVitaminBottle.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d56/_action_bite_vitamin_bottle_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/d51/class_action_bite_vitamin_bottle.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d51/class_action_bite_vitamin_bottle.html">ActionBiteVitaminBottle</a>: <a class="code hl_class" href="../../d6/d3a/class_action_consume_single.html">ActionConsumeSingle</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/d51/class_action_bite_vitamin_bottle.html#aa85c41cb70cd5547e71926e7594657f3">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d51/class_action_bite_vitamin_bottle.html#aa85c41cb70cd5547e71926e7594657f3">ActionBiteVitaminBottle</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="comment">//m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_EAT;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d8/d51/class_action_bite_vitamin_bottle.html#acc5851dbb9cd0b3a74f576fd9ad1c6dc">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d51/class_action_bite_vitamin_bottle.html#acc5851dbb9cd0b3a74f576fd9ad1c6dc">ApplyModifiers</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="comment">//player.m_ModifiersManager.ActivateModifier(eModifiers.MDF_CHEMICALPOISON);</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>};</div>
<div class="ttc" id="aclass_action_bite_vitamin_bottle_html"><div class="ttname"><a href="../../d8/d51/class_action_bite_vitamin_bottle.html">ActionBiteVitaminBottle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d56/_action_bite_vitamin_bottle_8c_source.html#l00001">ActionBiteVitaminBottle.c:2</a></div></div>
<div class="ttc" id="aclass_action_bite_vitamin_bottle_html_aa85c41cb70cd5547e71926e7594657f3"><div class="ttname"><a href="../../d8/d51/class_action_bite_vitamin_bottle.html#aa85c41cb70cd5547e71926e7594657f3">ActionBiteVitaminBottle::ActionBiteVitaminBottle</a></div><div class="ttdeci">void ActionBiteVitaminBottle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d56/_action_bite_vitamin_bottle_8c_source.html#l00003">ActionBiteVitaminBottle.c:3</a></div></div>
<div class="ttc" id="aclass_action_bite_vitamin_bottle_html_acc5851dbb9cd0b3a74f576fd9ad1c6dc"><div class="ttname"><a href="../../d8/d51/class_action_bite_vitamin_bottle.html#acc5851dbb9cd0b3a74f576fd9ad1c6dc">ActionBiteVitaminBottle::ApplyModifiers</a></div><div class="ttdeci">override void ApplyModifiers(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d56/_action_bite_vitamin_bottle_8c_source.html#l00008">ActionBiteVitaminBottle.c:8</a></div></div>
<div class="ttc" id="aclass_action_consume_single_html"><div class="ttname"><a href="../../d6/d3a/class_action_consume_single.html">ActionConsumeSingle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d87/_action_consume_single_8c_source.html#l00009">ActionConsumeSingle.c:10</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../dir_66271a146abc2a19aaadbfd18e7f34e5.html">Medical</a></li><li class="navelem"><a class="el" href="../../d6/d56/_action_bite_vitamin_bottle_8c.html">ActionBiteVitaminBottle.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
